<?php
/**
 * FrontController unified service
 *
 * @author    Serge <serge@stigmi.eu>
 * @version   1.30.0
 * @copyright Copyright (c), Eontech.net All rights reserved.
 * @license   BSD License
 */

abstract class FrontControllerService
{
	protected static $smarty;
	protected $controller;
	protected $context;

	public function __construct(Context $context = null)
	{
		if (is_null($context)) $context = Context::getContext();
		$this->context = $context;
		static::$smarty = $context->smarty;
		$this->controller = $context->controller;
	}

	/* meat & potatoes */
	abstract public function processContent();
	public static function getMedia()
	{
		return array(
			'css' => array(),
			'js' => array(),
			);
	}
	public static function setMedia(FrontController $ctlr)
	{
		if (!method_exists($ctlr, 'addCSS') ||
			!method_exists($ctlr, 'addJS'))
			throw new Exception('Cannot set media on this controller');
	}

	final protected function jsonEncode($content)
	{
		header('Content-Type: application/json');
		die(Tools::jsonEncode($content));
	}

	final protected function setTemplate($tpl)
	{
		$this->controller->setTemplate($tpl);
	}
}