<?php
/**
 * Generic front controller
 *
 * @author    Serge <serge@stigmi.eu>
 * @version   1.30.0
 * @copyright Copyright (c), Eontech.net All rights reserved.
 * @license   BSD License
 */

class BpostShmClientBpostModuleFrontController extends ModuleFrontController
{
	public $ssl = true;

	public function initContent()
	{
		$svc = $this->getServiceName();
		$token = Tools::getValue('token');
		$gen_token = (bool)Tools::getValue('admin') ? Tools::getAdminToken($this->module->name) : Tools::getToken($this->module->name);
		if (!$svc || $token !== $gen_token)
			Tools::redirect('index');

		parent::initContent();

		$svc = new $svc($this->context);
		$svc->processContent();
	}

	public function setMedia()
	{
		parent::setMedia();

		if ($svc = $this->getServiceName())
			$svc::setMedia($this);
	}

	public function getServiceName()
	{
		if ($service_name = Tools::getValue('mode', false))
		{
			$service_name = str_replace('-', '', preg_replace_callback('/(\b[a-z])\-*/', function($matches) {
				return Tools::strtoupper($matches[0]);
			}, $service_name)).'Service';
			$service_file = dirname(__FILE__).'/'.$service_name.'.php';
			if (file_exists($service_file))
			{
				require_once($service_file);
				if (!class_exists($service_name, false))
					return false;
			}
		}

		return $service_name;
	}
}